Trouble with networkx import

Upon startup memgraph is unable to load the query modules. It throws an ImportError for the networkx module. However, I have networkx installed and I did not skip any step at the time of installing memgraph.

Below is a screenshot explaining the issue

Hi! The easiest way is to have python3 as a default python because Memgraph is using the default system Python. What’s the output when you execute python --version? If it’s < 3, could you update to the python3?

1 Like

this solves my problem. thanks!

2 Likes